--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

HelpingText = {};

function HelpingText.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function HelpingText:load(xmlFile)
	self.HelpingText = false;
end;

function HelpingText:delete()
end;

function HelpingText:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HelpingText:keyEvent(unicode, sym, modifier, isDown)
end;

function HelpingText:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.HelpingText = not self.HelpingText;
		end;
	end;
end;



function HelpingText:updateTick(dt)
end;


function HelpingText:draw()
	if not self.HelpingText then
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.75, 0.02, "- LF 16/6 Info :FelD: -");
		renderText(0.72, 0.73, 0.02, "(c) Case_IH_MxU135, J112J");
		renderText(0.72, 0.71, 0.02, "_2x Taste KP Entf: Motor starten_");
		renderText(0.72, 0.69, 0.02, "");
		renderText(0.72, 0.67, 0.02, "_Aussteigen, B: Schnellangriff_");
		renderText(0.72, 0.65, 0.02, "_Lehrtaste: Martinshorn_");
		renderText(0.72, 0.63, 0.02, "_Taste R: Blaulicht_");
		renderText(0.72, 0.61, 0.02, "_Taste 0: Hupe_");
		renderText(0.72, 0.59, 0.02, "_Taste KP 1, 2, 3: Blinker_");
		renderText(0.72, 0.57, 0.02, "_Taste KP 9: Lichtmast hoch/runter_");
        renderText(0.72, 0.55, 0.02, "_Taste KP 4/6: Lichtmast drehen_");
        renderText(0.72, 0.53, 0.02, "_Taste N: Feldmodus(Allrad) de-/aktiviren_");
		renderText(0.72, 0.51, 0.02, "_Taste 7: Innenraumlicht_");
		renderText(0.72, 0.47, 0.02, "");
		renderText(0.72, 0.45, 0.02, "");
		renderText(0.72, 0.43, 0.02, "");
		renderText(0.72, 0.41, 0.02, "");
		renderText(0.72, 0.39, 0.02, "");
		renderText(0.72, 0.37, 0.02, "");
        	renderText(0.72, 0.35, 0.02, "");      
	end;
end;  

function HelpingText:onLeave()
	self.HelpingText = false;
end;




